summaryrefslogtreecommitdiffstats
path: root/tests/auto/bic/gen.sh
diff options
context:
space:
mode:
authorLars Knoll <lars.knoll@nokia.com>2009-03-23 10:18:55 +0100
committerSimon Hausmann <simon.hausmann@nokia.com>2009-03-23 10:18:55 +0100
commite5fcad302d86d316390c6b0f62759a067313e8a9 (patch)
treec2afbf6f1066b6ce261f14341cf6d310e5595bc1 /tests/auto/bic/gen.sh
Long live Qt 4.5!
Diffstat (limited to 'tests/auto/bic/gen.sh')
-rwxr-xr-xtests/auto/bic/gen.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/tests/auto/bic/gen.sh b/tests/auto/bic/gen.sh
new file mode 100755
index 0000000000..2479a33cfb
--- /dev/null
+++ b/tests/auto/bic/gen.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+if [ "$#" -lt 2 ]; then
+ echo "$0 - Generates reference files for b/c autotest"
+ echo "Usage: $0 [module|-all] [platform]"
+ echo "Examples: $0 -all 4.1.0.macx-gcc-ppc32"
+ echo " $0 QtGui 4.0.0.linux-gcc-ia32"
+ exit 1
+fi
+
+if [ "$1" = "-all" ]; then
+ modules="QtCore QtGui QtSql QtSvg QtNetwork QtScript QtXml QtXmlPatterns QtOpenGL Qt3Support QtTest QtDBus QtDesigner QtXmlPatterns"
+else
+ modules="$1"
+fi
+
+for module in $modules; do
+ echo "#include <$module/$module>" >test.cpp
+ g++ -c -I$QTDIR/include -DQT_NO_STL -DQT3_SUPPORT -fdump-class-hierarchy test.cpp
+ mv test.cpp*.class $module.$2.txt
+done
+